FreeBSD Handbook
Prev | Chapter 12 The FreeBSD Booting Process | Next

# 12.4 Kernel Interaction During Boot

Once the kernel is loaded by either loader (as usual) or boot2 (bypassing the loader), it examines its boot flags, if any, and adjusts its behavior as necessary.

## 12.4.1 Kernel Boot Flags

Here are the more common boot flags:

`-a`

  during kernel initialization, ask for the device to mount as the root file system.

`-C`

  boot from CDROM.

`-c`

  run UserConfig, the boot-time kernel configurator

`-s`

  boot into single-user mode

`-v`

  be more verbose during kernel startup

> Note: There are other boot flags, read boot(8) for more information on them.

Prev | Home | Next
The Boot Manager and Boot Stages | Up | Device Hints